Subject: Re: bug#20582: GuixSD ver 0.8.2, DHCLIENT not setting up the network.

From: Scott McDonough <[email-masked]>
Date: Sun, 17 May 2015 18:48:27 -0700

Thanks for the documentation update.

You are exactly right.
Running "ifconfig eth0orwhatever up" was not needed in 0.8.1

I will do some looking around and see if this service is mentioned by 
other users of Linux-libre.

On 05/17/2015 02:28 PM, Ludovic Courtès wrote:
> I went ahead and committed a documentation patch in 152dd61.
>
> However, looking more closely (in QEMU), I noticed that
> ‘dhcp-client-service’ also needs to set the interfaces up before calling
> ‘dhclient’, hence commit 9bb34f9.
>
> Now, I wonder what has changed.  I recall that this was not needed in
> the past, so perhaps a change in Linux-libre 4.0.2 made interfaces down
> by default or something like that.  Any ideas?
>
> Ludo’.